## libvirt 8.0.0

=== src/keycodemapdb/tests/Makefile ===
TESTS := stdc stdc++ python2 python3 javascript

check: $(TESTS)
	@set -e; for fn in $(TESTS); do \
		./$$fn; \
		echo $$fn: OK; \
	done
	@echo Done.

GEN := ../tools/keymap-gen
DATA := ../data/keymaps.csv
SOURCES := $(GEN) $(DATA)

.DELETE_ON_ERROR:

stdc: stdc.c osx2win32.h osx2win32.c osx2win32_name.h osx2win32_name.c \
             osx2xkb.h osx2xkb.c osx2xkb_name.h osx2xkb_name.c \
             html2win32.h html2win32.c html2win32_name.h html2win32_name.c \
             osx.h osx.c osx_name.h osx_name.c
	$(CC) -Wall -o $@ $(filter %.c, $^)
osx2win32.c: $(SOURCES)
	$(GEN) --lang stdc code-map $(DATA) osx win32 > $@
osx2win32.h: $(SOURCES)
	$(GEN) --lang stdc-header code-map $(DATA) osx win32 > $@
osx2win32_name.c: $(SOURCES)
	$(GEN) --lang stdc name-map $(DATA) osx win32 > $@
osx2win32_name.h: $(SOURCES)
	$(GEN) --lang stdc-header name-map $(DATA) osx win32 > $@
osx2xkb.c: $(SOURCES)
	$(GEN) --lang stdc code-map $(DATA) osx xkb > $@
osx2xkb.h: $(SOURCES)
	$(GEN) --lang stdc-header code-map $(DATA) osx xkb > $@
osx2xkb_name.c: $(SOURCES)
	$(GEN) --lang stdc name-map $(DATA) osx xkb > $@
osx2xkb_name.h: $(SOURCES)
	$(GEN) --lang stdc-header name-map $(DATA) osx xkb > $@
html2win32.c: $(SOURCES)
	$(GEN) --lang stdc code-map $(DATA) html win32 > $@
html2win32.h: $(SOURCES)
	$(GEN) --lang stdc-header code-map $(DATA) html win32 > $@
html2win32_name.c: $(SOURCES)
	$(GEN) --lang stdc name-map $(DATA) html win32 > $@
html2win32_name.h: $(SOURCES)
	$(GEN) --lang stdc-header name-map $(DATA) html win32 > $@
osx.c: $(SOURCES)
	$(GEN) --lang stdc code-table $(DATA) osx > $@
osx.h: $(SOURCES)
	$(GEN) --lang stdc-header code-table $(DATA) osx > $@
osx_name.c: $(SOURCES)
	$(GEN) --lang stdc name-table $(DATA) osx > $@
osx_name.h: $(SOURCES)
	$(GEN) --lang stdc-header name-table $(DATA) osx > $@

stdc++: stdc++.cc osx2win32.hh osx2win32.cc osx2win32_name.hh osx2win32_name.cc \
             osx2xkb.hh osx2xkb.cc osx2xkb_name.hh osx2xkb_name.cc \
             html2win32.hh html2win32.cc html2win32_name.hh html2win32_name.cc \
             osx.hh osx.cc osx_name.hh osx_name.cc
	$(CXX) -Wall -std=c++11 -o $@ $(filter %.cc, $^)
osx2win32.cc: $(SOURCES)
	$(GEN) --lang stdc++ code-map $(DATA) osx win32 > $@
osx2win32.hh: $(SOURCES)
	$(GEN) --lang stdc++-header code-map $(DATA) osx win32 > $@
osx2win32_name.cc: $(SOURCES)
	$(GEN) --lang stdc++ name-map $(DATA) osx win32 > $@
osx2win32_name.hh: $(SOURCES)
	$(GEN) --lang stdc++-header name-map $(DATA) osx win32 > $@
osx2xkb.cc: $(SOURCES)
	$(GEN) --lang stdc++ code-map $(DATA) osx xkb > $@
osx2xkb.hh: $(SOURCES)
	$(GEN) --lang stdc++-header code-map $(DATA) osx xkb > $@
osx2xkb_name.cc: $(SOURCES)
	$(GEN) --lang stdc++ name-map $(DATA) osx xkb > $@
osx2xkb_name.hh: $(SOURCES)
	$(GEN) --lang stdc++-header name-map $(DATA) osx xkb > $@
html2win32.cc: $(SOURCES)
	$(GEN) --lang stdc++ code-map $(DATA) html win32 > $@
html2win32.hh: $(SOURCES)
	$(GEN) --lang stdc++-header code-map $(DATA) html win32 > $@
html2win32_name.cc: $(SOURCES)
	$(GEN) --lang stdc++ name-map $(DATA) html win32 > $@
html2win32_name.hh: $(SOURCES)
	$(GEN) --lang stdc++-header name-map $(DATA) html win32 > $@
osx.cc: $(SOURCES)
	$(GEN) --lang stdc++ code-table $(DATA) osx > $@
osx.hh: $(SOURCES)
	$(GEN) --lang stdc++-header code-table $(DATA) osx > $@
osx_name.cc: $(SOURCES)
	$(GEN) --lang stdc++ name-table $(DATA) osx > $@
osx_name.hh: $(SOURCES)
	$(GEN) --lang stdc++-header name-table $(DATA) osx > $@

python2: osx2win32.py osx2win32_name.py \
         osx2xkb.py osx2xkb_name.py \
         html2win32.py html2win32_name.py \
         osx.py osx_name.py
osx2win32.py: $(SOURCES)
	$(GEN) --lang python2 code-map $(DATA) osx win32 > $@
osx2win32_name.py: $(SOURCES)
	$(GEN) --lang python2 name-map $(DATA) osx win32 > $@
osx2xkb.py: $(SOURCES)
	$(GEN) --lang python2 code-map $(DATA) osx xkb > $@
osx2xkb_name.py: $(SOURCES)
	$(GEN) --lang python2 name-map $(DATA) osx xkb > $@
html2win32.py: $(SOURCES)
	$(GEN) --lang python2 code-map $(DATA) html win32 > $@
html2win32_name.py: $(SOURCES)
	$(GEN) --lang python2 name-map $(DATA) html win32 > $@
osx.py: $(SOURCES)
	$(GEN) --lang python2 code-table $(DATA) osx > $@
osx_name.py: $(SOURCES)
	$(GEN) --lang python2 name-table $(DATA) osx > $@

javascript: node_modules/babel-core \
            node_modules/babel-plugin-transform-es2015-modules-commonjs \
            osx2win32.js osx2win32_name.js \
            osx2xkb.js osx2xkb_name.js \
            html2win32.js html2win32_name.js \
            osx.js osx_name.js
node_modules/babel-core:
	npm install babel-core
node_modules/babel-plugin-transform-es2015-modules-commonjs:
	npm install babel-plugin-transform-es2015-modules-commonjs
osx2win32.js: $(SOURCES)
	$(GEN) --lang js code-map $(DATA) osx win32 > $@
osx2win32_name.js: $(SOURCES)
	$(GEN) --lang js name-map $(DATA) osx win32 > $@
osx2xkb.js: $(SOURCES)
	$(GEN) --lang js code-map $(DATA) osx xkb > $@
osx2xkb_name.js: $(SOURCES)
	$(GEN) --lang js name-map $(DATA) osx xkb > $@
html2win32.js: $(SOURCES)
	$(GEN) --lang js code-map $(DATA) html win32 > $@
html2win32_name.js: $(SOURCES)
	$(GEN) --lang js name-map $(DATA) html win32 > $@
osx.js: $(SOURCES)
	$(GEN) --lang js code-table $(DATA) osx > $@
osx_name.js: $(SOURCES)
	$(GEN) --lang js name-table $(DATA) osx > $@

clean:
	rm -rf node_modules
	rm -f osx2win32.*
	rm -f osx2win32_name.*
	rm -f osx2xkb.*
	rm -f osx2xkb_name.*
	rm -f html2win32.*
	rm -f html2win32_name.*
	rm -f osx.*
	rm -f osx_name.*
	rm -f stdc stdc++

=== debian/changelog ===
libvirt (8.0.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 27 Apr 2022 15:13:20 -0700

libvirt (8.0.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports:
   - revert 8d2e0fe "add libtirpc for rpc.h with glibc >=2.31-14" -
     we can not just enable libtirpc without fixing glibc first,
     so just use old way with glibc-provided rpc code.

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 27 Jan 2022 10:36:33 +0300

libvirt (8.0.0-1) unstable; urgency=medium

  * [a26cc81] New upstream version 8.0.0
  * [9f18b0d] patches: Drop backports
  * [7ea1214] patches: Add backport/qemu-fix-inactive-snapshot-revert.patch
  * [9454a95] patches: Add backport/Revert-report-error-when-[...].patch
  * [ec3b590] control: Drop dependency on radvd
    - libvirt no longer uses it
  * [19eb356] control: Drop build dependency on parted
    - The parted binary is only needed at runtime

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 22 Jan 2022 19:22:57 +0100

libvirt (7.10.0-3) unstable; urgency=medium

  * [16b245a] control: Improve multiarch support
    - Mark libvirt-{daemon-system-systemd,doc} as Multi-Arch: foreign
    - Mark libvirt-wireshark as Multi-Arch: same
    - Mark libvirt-daemon-driver-* as Multi-Arch: no
  * [ef19843] control: Move Recommends on LVM to -daemon package
    - It's used by the storage driver, not the client library
  * [a10f605] control: Update Uploaders field
    - Add Andrea Bolognani, remove Laurent Léonard
  * [c74efcb] control: Drop obsolete version constraints
    - They're satisfied on our expected backport targets (Debian 11
      and Ubuntu 20.04)
  * [1ad0b3a] control: Drop all Pre-Depends
    - They're not necessary on our expected backport targets

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 09 Jan 2022 11:28:35 +0100

libvirt (7.10.0-2) unstable; urgency=medium

  * Team upload

  [ Andrea Bolognani ]
  * [26f63eb] control: Build-Depend on python3:any to fix cross-building
  * [b14268f] patches: Backport fix for CVE-2021-4147

  [ Joachim Falk ]
  * [9ae5f14] Fix reboot command for LXC containers (Closes: #991773)

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 29 Dec 2021 10:37:15 +0100

libvirt (7.10.0-1) unstable; urgency=medium

  * Team upload

  * [0817e92] New upstream version 7.10.0
  * [2d2fb25] patches: Drop backported patches

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 08 Dec 2021 00:24:01 +0100

libvirt (7.9.0-1) unstable; urgency=medium

  * Team upload

  * [2c54c68] New upstream version 7.9.0
    - Closes: #994061
    - Fixes FTBFS (Closes: #997108)
  * [6ca05a9] patches: Update ZFS enablement patches
    - Replace the Debian-specific patch
        debian/Set-defaults-for-zfs-tools.patch
      with backported upstream patches
        backport/meson-Enable-ZFS-storage-backend-even-more-often.patch
        backport/meson-Stop-looking-up-ZFS-programs-at-build-time.patch
  * [32a1e7b] patches: Add backport/wireshark-Switch-to-tvb_bytes_to_str.patch
    - Needed to build against Wireshark 3.6.0
  * [30fdaae] libvirt-daemon-system: Make QEMU cache directory root-owned
    - Recent changes in libvirt make it possible to be more strict
  * [8c2f99b] tests: No longer skip smoke-lxc with both cgroups v1&v2 present
    - The bug that made this workaround necessary has been resolved
  * [803bd5a] control: Bump Standards-Version to 4.6.0
    - No changes needed

 -- Andrea Bolognani <eof@kiyuko.org>  Mon, 06 Dec 2021 21:56:00 +0100

libvirt (7.6.0-1) unstable; urgency=medium

  * Team upload

  [ Andrea Bolognani ]
  * [a256a80] New upstream version 7.6.0
    - Fixes CVE-2021-3667 (Closes: #991594)
  * [4a96793] rules: Disable netcf support
    - netcf support is considered deprecated upstream

  [ Christian Ehrhardt ]
  * [ac145fd] d/rules: disable the new Cloud Hypervisor driver
    - Cloud Hypervisor is not available in Debian
  * [4bafac5] d/control, d/rules: enable libssh
    - Closes: #985969
    - LP: #1939416
  * [fbc728f] d/t/smoke-lxc: skip if cgroup v1&v2 are present
    - This works around an upstream bug which causes the LXC driver
      to break when both v1 and v2 cgroups are in use
  * [8d2e0fe] d/control: add libtirpc for rpc.h with glibc >=2.31-14
    - Switch from glibc's legacy RPC implementation, which is now
      disabled in the Debian package, to libtirpc's one

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 19 Aug 2021 21:16:21 +0200

=== debian/control ===
Source: libvirt
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>,
           Andrea Bolognani <eof@kiyuko.org>,
           Michael Tokarev <mjt@tls.msk.ru>
Build-Depends: augeas-tools,
               bash-completion,
               debhelper-compat (= 13),
               dh-apparmor [linux-any],
               dnsmasq-base,
               iptables [linux-any],
               kmod [linux-any],
               libacl1-dev [linux-any],
               libapparmor-dev [linux-any],
               libattr1-dev [linux-any],
               libaudit-dev [linux-any],
               libblkid-dev,
               libcap-ng-dev [linux-any],
               libcurl4-gnutls-dev,
               libdevmapper-dev [linux-any],
               libfuse-dev [linux-any],
               libglib2.0-dev,
               libglusterfs-dev [linux-any],
               libgnutls28-dev,
               libiscsi-dev [linux-any],
               libnl-3-dev [linux-any],
               libnl-route-3-dev [linux-any],
               libnuma-dev [linux-any],
               libparted-dev,
               libpcap0.8-dev,
               libpciaccess-dev,
               librados-dev [linux-any],
               librbd-dev [linux-any],
               libreadline-dev,
               libsanlock-dev [linux-any],
               libsasl2-dev,
               libselinux1-dev [linux-any],
               libssh-dev,
               libssh2-1-dev,
               libtasn1-6-dev,
               libudev-dev [linux-any],
               libwireshark-dev,
               libxen-dev [amd64 arm64 armhf i386],
               libxml2-dev,
               libxml2-utils,
               libyajl-dev,
               lvm2 [linux-any],
               meson (>= 0.54.0~),
               nfs-common,
               numad [linux-any],
               open-iscsi [linux-any],
               po-debconf,
               python3-docutils,
               python3:any,
               qemu-system-common,
               qemu-utils,
               systemtap-sdt-dev [linux-any],
               xsltproc
Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt.git
Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt
Homepage: https://libvirt.org/
Standards-Version: 4.6.0
Rules-Requires-Root: no

Package: libvirt-clients
Section: admin
Architecture: any
Depends: libvirt0 (= ${binary:Version}),
         sensible-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libvirt-daemon (= ${binary:Version}),
          libvirt-login-shell (= ${binary:Version})
Breaks: libvirt-daemon (<< 6.9.0-2~), libvirt-daemon-driver-qemu (<< 6.9.0-2~)
Replaces: libvirt-daemon (<< 6.9.0-2~)
Description: Programs for the libvirt library
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirt shell virsh and other client binaries.

Package: libvirt-login-shell
Section: admin
Architecture: alpha amd64 arm64 armel armhf hppa i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Depends: libvirt-clients (= ${binary:Version}),
         libvirt-daemon-driver-lxc (= ${binary:Version}),
         libvirt0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libvirt-clients (<< 6.9.0-2~)
Replaces: libvirt-clients (<< 6.9.0-2~)
Description: Isolate user sessions using LXC containers
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the virt-login-shell tool, which can be set as a user's
 login shell to isolate their sessions using LXC containers.

Package: libvirt-daemon
Section: admin
Architecture: any
Depends: libvirt-daemon-driver-qemu (= ${binary:Version}),
         libvirt0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libvirt-daemon-driver-lxc (= ${binary:Version}),
            libvirt-daemon-driver-vbox (= ${binary:Version}),
            libvirt-daemon-driver-xen (= ${binary:Version}),
            libxml2-utils,
            lvm2 [linux-any],
            netcat-openbsd,
            qemu-kvm | qemu-system
Suggests: libvirt-daemon-driver-storage-gluster (= ${binary:Version}),
          libvirt-daemon-driver-storage-iscsi-direct (= ${binary:Version}),
          libvirt-daemon-driver-storage-rbd (= ${binary:Version}),
          libvirt-daemon-driver-storage-zfs (= ${binary:Version}),
          libvirt-daemon-system (= ${binary:Version}),
          numad
Enhances: qemu-kvm, qemu-system, xen
Breaks: libvirt-clients (<< 6.9.0-2~),
        libvirt-daemon-driver-lxc (<< 6.9.0-2~),
        libvirt-daemon-system (<< 6.9.0-3~),
        libvirt-sanlock (<< 6.9.0-2~)
Replaces: libvirt-daemon-system (<< 6.9.0-3~)
Description: Virtualization daemon
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the daemon libvirtd to manage the hypervisors.

Package: libvirt-daemon-driver-qemu
Section: admin
Architecture: linux-any
Multi-Arch: no
Depends: libvirt0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: libvirt-clients (<< 6.9.0-2~), libvirt-daemon (<< 6.0.0-1~)
Replaces: libvirt-clients (<< 6.9.0-2~), libvirt-daemon (<< 6.0.0-1~)
Description: Virtualization daemon QEMU connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for QEMU.

Package: libvirt-daemon-driver-lxc
Section: admin
Architecture: alpha amd64 arm64 armel armhf hppa i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Multi-Arch: no
Depends: libvirt-daemon (= ${binary:Version}),
         libvirt0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libvirt-daemon (<< 6.9.0-2~)
Replaces: libvirt-daemon (<< 6.9.0-2~)
Description: Virtualization daemon LXC connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for LXC.

Package: libvirt-daemon-driver-vbox
Section: admin
Architecture: amd64 i386
Multi-Arch: no
Depends: libvirt-daemon (= ${binary:Version}),
         libvirt0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libvirt-daemon (<< 6.0.0-1~)
Replaces: libvirt-daemon (<< 6.0.0-1~)
Description: Virtualization daemon VirtualBox connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for VirtualBox.

Package: libvirt-daemon-driver-xen
Section: admin
Architecture: amd64 arm64 armhf i386
Multi-Arch: no
Depends: libvirt-daemon (= ${binary:Version}),
         libvirt0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libvirt-daemon (<< 6.0.0-1~)
Replaces: libvirt-daemon (<< 6.0.0-1~)
Description: Virtualization daemon Xen connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for Xen.

Package: libvirt-daemon-driver-storage-gluster
Section: admin
Architecture: linux-any
Multi-Arch: no
Depends: libvirt-daemon (= ${binary:Version}),
         libvirt0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libvirt-daemon (<< 3.7.0-3~)
Replaces: libvirt-daemon (<< 3.7.0-3~)
Description: Virtualization daemon glusterfs storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd storage driver for GlusterFS.

Package: libvirt-daemon-driver-storage-iscsi-direct
Section: admin
Architecture: linux-any
Multi-Arch: no
Depends: libvirt-daemon (= ${binary:Version}),
         libvirt0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: qemu-block-extra
Description: Virtualization daemon iSCSI (libiscsi) storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains a libvirtd storage driver for iSCSI volumes implemented
 using libiscsi.

Package: libvirt-daemon-driver-storage-rbd
Section: admin
Architecture: linux-any
Multi-Arch: no
Depends: libvirt-daemon (= ${binary:Version}),
         libvirt0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libvirt-daemon (<< 3.7.0-3~)
Replaces: libvirt-daemon (<< 3.7.0-3~)
Description: Virtualization daemon RBD storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd storage driver for RBD/Rados/Ceph.

Package: libvirt-daemon-driver-storage-zfs
Section: admin
Architecture: linux-any
Multi-Arch: no
Depends: libvirt-daemon (= ${binary:Version}),
         libvirt0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libvirt-daemon (<< 3.7.0-3~)
Replaces: libvirt-daemon (<< 3.7.0-3~)
Description: Virtualization daemon ZFS storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd storage driver for ZFS.

Package: libvirt-daemon-system
Section: admin
Architecture: any
Depends: adduser,
         gettext-base,
         iptables [linux-any] | firewalld,
         libvirt-clients (= ${binary:Version}),
         libvirt-daemon (= ${binary:Version}),
         libvirt-daemon-config-network (= ${source:Version}),
         libvirt-daemon-config-nwfilter (= ${source:Version}),

=== debian/rules ===
#!/usr/bin/make -f

DEB_RELEASE = $(shell dpkg-parsechangelog -SVersion | sed 's/[^-]\+-//')
DEB_BUILDDATE = $(shell dpkg-parsechangelog -SDate)
DEB_BUILDUSER = $(shell dpkg-parsechangelog -SMaintainer)
NULL =

DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

# If the build environment sets -Bsymbolic-functions, which is often used as
# hardening option, that would break libvirt build time self-testing.
# Therefore let dpkg-buildflag strip that option if present.
DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ARCHES_LXC  = alpha amd64 arm64 armel armhf hppa i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
ARCHES_XEN  = amd64 arm64 armhf i386
ARCHES_VBOX = amd64 i386

ifneq (,$(findstring $(DEB_HOST_ARCH_OS), linux))
    ifneq (,$(findstring $(DEB_HOST_ARCH), $(ARCHES_VBOX)))
        WITH_VBOX             = -Ddriver_vbox=enabled
    else
        WITH_VBOX             = -Ddriver_vbox=disabled
    endif
    ifneq (,$(findstring $(DEB_HOST_ARCH), $(ARCHES_XEN)))
        WITH_LIBXL            = -Ddriver_libxl=enabled
    else
        WITH_LIBXL            = -Ddriver_libxl=disabled
    endif
    WITH_STORAGE_LVM          = -Dstorage_lvm=enabled
    WITH_STORAGE_ISCSI        = -Dstorage_iscsi=enabled
    WITH_STORAGE_ISCSI_DIRECT = -Dstorage_iscsi_direct=enabled
    WITH_STORAGE_DISK         = -Dstorage_disk=enabled
    WITH_STORAGE_RBD          = -Dstorage_rbd=enabled
    WITH_STORAGE_GLUSTER      = -Dstorage_gluster=enabled
    WITH_UDEV                 = -Dudev=enabled
    WITH_CAPNG                = -Dcapng=enabled
    WITH_LIBNL                = -Dlibnl=enabled
    WITH_NETWORK              = -Ddriver_network=enabled
    WITH_OPENVZ               = -Ddriver_openvz=enabled
    WITH_POLKIT               = -Dpolkit=enabled
    WITH_SANLOCK              = -Dsanlock=enabled
    WITH_INIT_SCRIPT          = -Dinit_script=systemd
    WITH_FIREWALLD            = -Dfirewalld=enabled
    WITH_ATTR                 = -Dattr=enabled
    WITH_AUDIT                = -Daudit=enabled
    WITH_SELINUX              = -Dselinux=enabled -Dsecdriver_selinux=enabled -Dselinux_mount=/sys/fs/selinux
    WITH_APPARMOR             = -Dapparmor=enabled -Dsecdriver_apparmor=enabled -Dapparmor_profiles=enabled
    WITH_NSS_PLUGIN           = -Dnss=enabled
    WITH_DTRACE               = -Ddtrace=enabled
    WITH_NUMA                 = -Dnumactl=enabled -Dnumad=enabled
    ifneq (,$(findstring $(DEB_HOST_ARCH), $(ARCHES_LXC)))
        WITH_LXC              = -Ddriver_lxc=enabled
        WITH_LOGIN_SHELL      = -Dlogin_shell=enabled
    else
        WITH_LXC              = -Ddriver_lxc=disabled
        WITH_LOGIN_SHELL      = -Dlogin_shell=disabled
    endif
else
    WITH_VBOX                 = -Ddriver_vbox=disabled
    WITH_LIBXL                = -Ddriver_libxl=disabled
    WITH_STORAGE_LVM          = -Dstorage_lvm=disabled
    WITH_STORAGE_ISCSI        = -Dstorage_iscsi=disabled
    WITH_STORAGE_ISCSI_DIRECT = -Dstorage_iscsi_direct=disabled
    WITH_STORAGE_DISK         = -Dstorage_disk=disabled
    WITH_STORAGE_RBD          = -Dstorage_rbd=disabled
    WITH_STORAGE_GLUSTER      = -Dstorage_gluster=disabled
    WITH_UDEV                 = -Dudev=disabled
    WITH_CAPNG                = -Dcapng=disabled
    WITH_LIBNL                = -Dlibnl=disabled
    WITH_NETWORK              = -Ddriver_network=disabled
    WITH_OPENVZ               = -Ddriver_openvz=disabled
    WITH_POLKIT               = -Dpolkit=disabled
    WITH_SANLOCK              = -Dsanlock=disabled
    WITH_INIT_SCRIPT          = -Dinit_script=none
    WITH_FIREWALLD            = -Dfirewalld=disabled
    WITH_ATTR                 = -Dattr=disabled
    WITH_AUDIT                = -Daudit=disabled
    WITH_SELINUX              = -Dselinux=disabled -Dsecdriver_selinux=disabled -Dselinux_mount=
    WITH_APPARMOR             = -Dapparmor=disabled -Dsecdriver_apparmor=disabled -Dapparmor_profiles=disabled
    WITH_NSS_PLUGIN           = -Dnss=disabled
    WITH_DTRACE               = -Ddtrace=disabled
    WITH_NUMA                 = -Dnumactl=disabled -Dnumad=disabled
    WITH_LXC                  = -Ddriver_lxc=disabled
    WITH_LOGIN_SHELL          = -Dlogin_shell=disabled
endif

DEB_CONFIGURE_EXTRA_ARGS := \
    --libexecdir=/usr/lib/libvirt \
    -Drunstatedir=/run \
    -Dpackager="$(DEB_BUILDUSER) $(DEB_BUILDDATE)" \
    -Dpackager_version="$(DEB_RELEASE)" \
    -Ddriver_qemu=enabled \
    -Ddriver_libvirtd=enabled \
    -Ddriver_remote=enabled \
    -Dremote_default_mode=legacy \
    -Ddriver_test=enabled \
    -Ddriver_ch=disabled \
    -Dqemu_user=libvirt-qemu \
    -Dqemu_group=libvirt-qemu \
    -Dqemu_moddir=/usr/lib/$(DEB_HOST_MULTIARCH)/qemu \
    -Dqemu_datadir=/usr/share/qemu \
    -Ddocs=enabled \
    -Dtests=enabled \
    $(WITH_OPENVZ) \
    -Dsasl=enabled \
    -Dyajl=enabled \
    -Dlibssh2=enabled \
    -Dlibssh=enabled \
    $(WITH_POLKIT) \
    $(WITH_SANLOCK) \
    $(WITH_UDEV) \
    -Dstorage_fs=enabled \
    -Dstorage_dir=enabled \
    $(WITH_STORAGE_LVM) \
    $(WITH_STORAGE_ISCSI) \
    $(WITH_STORAGE_ISCSI_DIRECT) \
    $(WITH_STORAGE_DISK) \
    -Dstorage_sheepdog=disabled \
    $(WITH_STORAGE_RBD) \
    $(WITH_STORAGE_GLUSTER) \
    -Dstorage_vstorage=disabled \
    -Dstorage_zfs=enabled \
    $(WITH_INIT_SCRIPT) \
    $(WITH_NUMA) \
    $(WITH_SELINUX) \
    $(WITH_APPARMOR) \
    -Ddriver_esx=enabled \
    $(WITH_CAPNG) \
    $(WITH_LIBNL) \
    $(WITH_NETWORK) \
    -Dnetcf=disabled \
    $(WITH_LIBXL) \
    $(WITH_VBOX) \
    $(WITH_LXC) \
    $(WITH_LOGIN_SHELL) \
    $(WITH_DTRACE) \
    $(WITH_AUDIT) \
    $(WITH_FIREWALLD) \
    $(WITH_ATTR) \
    $(WITH_NSS_PLUGIN) \
    -Dwireshark_dissector=enabled \
    $(NULL)

# Those have to stay up through upgrades to avoid interruptions
LIBVIRT_SYSTEM_SERVICES = \
    virtlogd.service \
    virtlockd.service \
    libvirt-guests.service \
    $(NULL)

LIBVIRT_SOCKETS = \
    libvirtd.socket \
    libvirtd-ro.socket \
    libvirtd-admin.socket \
    virtlogd.socket \
    virtlogd-admin.socket \
    virtlockd.socket \
    virtlockd-admin.socket \
    $(NULL)

APPARMOR_ABSTRACTIONS = \
    libvirt-lxc \
    libvirt-qemu \
    $(NULL)

APPARMOR_TEMPLATES = \
    TEMPLATE.lxc \
    TEMPLATE.qemu \
    $(NULL)

APPARMOR_SERVICES = \
    usr.lib.libvirt.virt-aa-helper \
    usr.sbin.libvirtd \
    $(NULL)

NSS_PLUGINS = \
    libvirt \
    libvirt_guest \
    $(NULL)

SYSTEMTAP_TAPSETS = \
    libvirt_functions \
    libvirt_probes \
    libvirt_qemu_probes \
    $(NULL)

SYSCTL_CONFIGS = \
    libvirtd \
    qemu-postcopy-migration \
    $(NULL)


DEB_BUILDDIR := $(CURDIR)/debian/build
DEB_DESTDIR := $(CURDIR)/debian/tmp
SRV_MONOLITHIC = libvirt-guests virtlogd virtlockd libvirtd libvirtd-tcp libvirtd-tls virt-guest-shutdown
# For split daemons later, as of 6.0 the remaining elments are
#SRV_SPLIT = virtnwfilterd virtinterfaced virtlxcd virtnetworkd virtnodedevd virtproxyd virtqemud virtsecretd virtstoraged virtvboxd virtxend virtproxyd-tcp virtproxyd-tls

%:
	dh $@ --builddirectory=$(DEB_BUILDDIR)

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_ARGS)

# The default timeout for tests in Meson is 30s, which is not enough
# for architectures with slow buildds: make the timeout 10 times
# larger (5m) to account for those
override_dh_auto_test:
	export LD_PRELOAD=""; \
	export VIR_TEST_DEBUG=1; \
	if ! dh_auto_test -- --timeout-multiplier 10; then \
	    cat $(DEB_BUILDDIR)/meson-logs/testlog.txt; \
	    exit 1; \
	fi

# After the upstream build system has installed libvirt into $(DEB_DESTDIR),
# we need to make some tweaks (add a few extra files, delete some contents
# we're not interested in, move things around) so that later calls to the
# various dh_* tools will work optimally. This target is the perfect place
# to perform such operations
execute_after_dh_auto_install:
	# Move upstream files where dh_* can find them

## libvirt 8.6.0

=== debian/changelog ===
libvirt (8.6.0-0ubuntu3) kinetic; urgency=medium

  * d/p/u/lp-1990499-virt-aa-helper-allow-common-riscv64-loader-paths.patch:
    easen the use of riscv64 through libvirt (LP: #1990499)
  * d/p/u/lp-1990949-virpcivpd-reduce-errors-in-log-due-to-invalid-VPD.patch:
    reduce log noise by invalid VPD data (LP: #1990949)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 04 Oct 2022 08:29:46 +0200

libvirt (8.6.0-0ubuntu2) kinetic; urgency=medium

  * d/p/libvirt-daemon-system.postinst: default network autostart
    handling needs to happen before services start (LP: #1990853)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 28 Sep 2022 08:36:15 +0200

libvirt (8.6.0-0ubuntu1) kinetic; urgency=medium

  * Merge 8.0.0 from Debian unstable (LP: #1971289)
    Among many other fixes and improvements this fixes:
    - support for minor NFS versions (LP: #1980134)
    - launching VMs with SGX enabled (LP: #1982896)
    Remaining changes:
    - libvirt-uri.sh, d/rules: Automatically switch default libvirt URI
      for users via user profile (xen URI on dom0, qemu:///system otherwise)
    - Disable libssh2 support (universe dependency)
    - d/control: add libzfslinux-dev to build-deps
    - d/control: drop libvirt-lxc, vbox and xen drivers to suggest
    - debian/patches/ubuntu/ovmf_paths.patch: adjust paths to secboot.fd UEFI
      Secure Boot enabled variants of the OVMF firmware and variable store for
      the paths where we ship these files in Ubuntu.
    - Set qemu-group to kvm (for compat with older ubuntu)
    - Additional apport package-hook
    - Autostart default bridged network (As upstream does, but not Debian).
      In addition to just enabling it our solution provides:
      + do not autostart if subnet is already taken (e.g. in guests).
      + iterate some alternative subnets before giving up
    - d/p/ubuntu/Allow-libvirt-group-to-access-the-socket.patch: This is
      the group based access to libvirt functions as it was used in Ubuntu
      for quite a long time.
      + d/p/ubuntu/daemon-augeas-fix-expected.patch fix some related tests
        due to the group access change.
      + d/libvirt-daemon-system.postinst: add users in sudo to the libvirt
        group.
    - Update README.Debian with Ubuntu changes
    - d/p/ubuntu/ubuntu_machine_type.patch: accept ubuntu types as pci440fx
    - fix autopkgtests (LP 1899180)
      + d/t/control, d/t/smoke-qemu-session: fixup smoke-qemu-session by making
        vmlinuz available and accessible (Debian bug 848314)
      + d/t/control: fix smoke-qemu-session by ensuring the service will run
        installing libvirt-daemon-system
      + d/t/smoke-lxc: fix smoke-lxc by ignoring potential issues on destroy as
        long as the following undefine succeeds
      + d/t/smoke-lxc: use systemd instead of sysV to restart the service
      + d/t/control, d/t/smoke-lxc: retry service restart and skip test if
        failing; This was flaky on some release/architectures
      + d/t/smoke-lxc: retry check_domain being flaky on arm64
    - dnsmasq related enhancements
      + run dnsmasq as libvirt-dnsmasq (LP: 1743718)
      + d/libvirt-daemon-system.postinst: add libvirt-dnsmasq user and group
      + d/libvirt-daemon-system.postrm: remove libvirt-dnsmasq user and group
        on purge
      + d/p/ubuntu/dnsmasq-as-priv-user: write dnsmasq config with user
        libvirt-dnsmasq and adapt the self tests to expect that config
      + d/libvirt-daemon-system.postinst: fix old libvirt-dnsmasq users group
      + Add dnsmasq configuration to work with system wide dnsmasq-base
    - d/p/ubuntu/set-default-machine-to-ubuntu.patch: to select default
      machine type correctly with newer qemu/libvirt
    - d/p/ubuntu/lp-1861125-ubuntu-models: recognize Ubuntu models for
      (LP 1861125) fixups
    - d/p/ubuntu/wait-for-qemu-kvm.patch - avoid hangs on startup (LP 1887592)
    - Apparmor Delta that is Ubuntu specific or yet to be upstreamed
      split into logical pieces. File names in debian/patches/ubuntu-aa/:
      + 0020-virt-aa-helper-ubuntu-storage-paths.patch:
        apparmor, virt-aa-helper: Allow various storage pools and image
        locations
      + 0029-appmor-libvirt-qemu-Add-9p-support.patch: appmor,
        libvirt-qemu: Add 9p support
      + 0031-virt-aa-helper-Ask-for-no-deny-rule-for-readonly-dis.patch:
        virt-aa-helper: Ask for no deny rule for readonly disk
      + 0032-apparmor-libvirt-qemu-Allow-reading-charm-specific-c.patch:
        apparmor, libvirt-qemu: Allow reading charm-specific ceph config
      + 0033-UBUNTU-only-apparmor-for-kvm.powerpc-LP-1680384.patch: allow
        commands executed by ubuntu only kvm wrapper on ppc64el
        (LP 1686621 LP 1680384 LP 1784023)
      + 0034-apparmor-virt-aa-helper-access-for-snapped-nova.patch:
        apparmor, virt-aa-helper: access for snapped nova
      + lp-1815910-allow-vhost-net.patch: avoid apparmor issues
        with vhost-net/vhost-vsock/vhost-scsi hotplug (LP: 1815910)
    - libvirt should not use user/group tss for swtpm (LP 1948880)
      + d/libvirt-daemon-system.postinst: own swtpm logdir by user swtpm
      + d/p/u/swtpm-by-swtpm-user.patch: change default spawned swtpm processes
        to user swtpm and adapt expected self test result changes triggered by
        this
      + d/control: suggest swtpm-tools
      + d/libvirt-daemon-system.postinst: create user/group swtpm if not present
        due to swtpm-tools (LP 1951975)
  * Dropped changes [upstream now]:
    - d/p/backport/qemuDomainSetupDisk-Initialize-targetPaths.patch to work
      in containers like LXD (without guest start would hang).
      [8.1.0]
    - d/p/backport/util-fix-syslog-facility-value.patch to ensure logs
      get passed to syslog/journal correctly.
      [8.1.0]
    - apparmor: Fix QEMU access for UEFI variable files. Backported from
      upstream master commit 7aec69b7fb9d0c. (Closes 1006324, LP 1962035)


=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 ARCHES_LXC  = alpha amd64 arm64 armel armhf hppa i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
-ARCHES_XEN  = amd64 arm64 armhf i386
+ARCHES_XEN  = amd64 arm64 armhf
 ARCHES_VBOX = amd64 i386
 
 ifneq (,$(findstring $(DEB_HOST_ARCH_OS), linux))
@@ -100,7 +100,7 @@
     -Ddriver_test=enabled \
     -Ddriver_ch=disabled \
     -Dqemu_user=libvirt-qemu \
-    -Dqemu_group=libvirt-qemu \
+    -Dqemu_group=kvm \
     -Dqemu_moddir=/usr/lib/$(DEB_HOST_MULTIARCH)/qemu \
     -Dqemu_datadir=/usr/share/qemu \
     -Ddocs=enabled \
@@ -108,7 +108,7 @@
     $(WITH_OPENVZ) \
     -Dsasl=enabled \
     -Dyajl=enabled \
-    -Dlibssh2=enabled \
+    -Dlibssh2=disabled \
     -Dlibssh=enabled \
     $(WITH_POLKIT) \
     $(WITH_SANLOCK) \
@@ -145,23 +145,6 @@
     -Dwireshark_dissector=enabled \
     $(NULL)
 
-# Those have to stay up through upgrades to avoid interruptions
-LIBVIRT_SYSTEM_SERVICES = \
-    virtlogd.service \
-    virtlockd.service \
-    libvirt-guests.service \
-    $(NULL)
-
-LIBVIRT_SOCKETS = \
-    libvirtd.socket \
-    libvirtd-ro.socket \
-    libvirtd-admin.socket \
-    virtlogd.socket \
-    virtlogd-admin.socket \
-    virtlockd.socket \
-    virtlockd-admin.socket \
-    $(NULL)
-
 APPARMOR_ABSTRACTIONS = \
     libvirt-lxc \
     libvirt-qemu \
@@ -217,6 +200,12 @@
 	    exit 1; \
 	fi
 
+override_dh_auto_install:
+	mkdir -p debian/tmp/usr/share/apport/package-hooks
+	cp -f debian/libvirt-daemon.apport \
+	      debian/tmp/usr/share/apport/package-hooks/source_libvirt.py
+	dh_auto_install
+
 # After the upstream build system has installed libvirt into $(DEB_DESTDIR),
 # we need to make some tweaks (add a few extra files, delete some contents
 # we're not interested in, move things around) so that later calls to the
@@ -224,3 +213,8 @@
 # to perform such operations
 execute_after_dh_auto_install:
 	# Move upstream files where dh_* can find them
+	set -e; for f in $(SYSCTL_CONFIGS); do \
+	    mv $(DEB_DESTDIR)/usr/lib/sysctl.d/60-$${f}.conf \
+	       $(DEB_DESTDIR)/usr/lib/sysctl.d/$${f}.sysctl; \
+	done
+	# copy dnsmasq configuration
